{% extends 'base.html' %}
{% load static %}

{% block content %}

<div id="carousel-example-1z" class="carousel slide carousel-fade pt-4" data-ride="carousel">

  <!--Indicators-->
  <ol class="carousel-indicators">
    <li data-target="#carousel-example-1z" data-slide-to="0" class="active"></li>
    <li data-target="#carousel-example-1z" data-slide-to="1"></li>
    <li data-target="#carousel-example-1z" data-slide-to="2"></li>
  </ol>
  <!--/.Indicators-->

  <!--Slides-->
  <div class="carousel-inner" role="listbox">

    <!--First slide-->
    <div class="carousel-item active">
      <div class="view" style="background-image: url('{% static 'pictures/shop2.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/First slide-->

    <!--Second slide-->
    <div class="carousel-item">
      <div class="view" style="background-image: url('{% static 'pictures/shop.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/Second slide-->

    <!--Third slide-->
    <div class="carousel-item">
      <div class="view" style="background-image: url('{% static 'pictures/shop3.jpg' %}'); background-repeat: no-repeat; background-size: cover;">

        <!-- Mask & flexbox options-->
        <div class="mask rgba-black-strong d-flex justify-content-center align-items-center">

          <!-- Content -->
          <div class="text-center white-text mx-5 wow fadeIn">
            <h1 class="mb-4">
              <strong>FASHION AND LIFESTYLE</strong>
            </h1>

            <p>
              <strong>Explore Exclusive Designs</strong>
            </p>

            <p class="mb-4 d-none d-md-block">
              {% comment %} <strong>The most comprehensive tutorial for the Bootstrap 4. Loved by over 500 000 users. Video and
                written versions
                available. Create your own, stunning website.</strong> {% endcomment %}
            </p>

            
              <i class="fas fa-graduation-cap ml-2"></i>
            </a>
          </div>
          <!-- Content -->

        </div>
        <!-- Mask & flexbox options-->

      </div>
    </div>
    <!--/Third slide-->

  </div>
  <!--/.Slides-->

  <!--Controls-->
  <a class="carousel-control-prev" href="#carousel-example-1z" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carousel-example-1z" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
  <!--/.Controls-->

</div>


<main>
  <div class="container">
    <section class="text-center mb-4 mt-3">
      <div class="row wow fadeIn">

        {% for object in object_list %}
        <div class="col-lg-3 col-md-6 mb-4">
          <div class="card">
            <div class="view overlay">
              <img src="{{object.image.url}}" class="card-img-top"
                alt="">
              <a href="{% url 'product' object.slug %}">
                <div class="mask rgba-white-slight"></div>
              </a>
            </div>
            <div class="card-body text-center">
              <a href="" class="grey-text">
                <h5>{{object.get_category_display}}</h5>
              </a>
              <h5>
                <strong>
                  <a href="{% url 'product' object.slug %}" class="dark-grey-text">{{object.title}}
                    <span class="badge badge-pill {{object.get_label_display}}-color">NEW</span>
                  </a>
                </strong>
              </h5>
              <h4 class="font-weight-bold blue-text">
                {% if object.discount_price %}
                <strong>Rs.{{object.discount_price}}</strong>
                {% else %}
                  <strong>Rs.{{object.price}}</strong>
                {% endif %}
              </h4>
            </div>
          </div>
        </div>
        {% endfor %}
      </div>
    </section>
    <!--Section: Products v.3-->

    <!--Pagination-->
    <nav class="d-flex justify-content-center wow fadeIn">
      <ul class="pagination pg-blue">

        <!--Arrow left-->
        <li class="page-item disabled">
          <a class="page-link" href="#" aria-label="Previous">
            <span aria-hidden="true">&laquo;</span>
            <span class="sr-only">Previous</span>
          </a>
        </li>

        <li class="page-item active">
          <a class="page-link" href="#">1
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">2</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">3</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">4</a>
        </li>
        <li class="page-item">
          <a class="page-link" href="#">5</a>
        </li>

        <li class="page-item">
          <a class="page-link" href="#" aria-label="Next">
            <span aria-hidden="true">&raquo;</span>
            <span class="sr-only">Next</span>
          </a>
        </li>
      </ul>
    </nav>
    <!--Pagination-->

  </div>
</main>
{% endblock content %}

  

  